{
  lib,
  stdenv,
  fetchFromGitLab,
}:

stdenv.mkDerivation rec {
  pname = "hexcolordle-gtk";
  version = "1.0.3";

  src = fetchFromGitLab {
    owner = "Krafting";
    repo = "hexcolordle-gtk";
    rev = version;
    hash = "sha256-oPGC0D7sh+H25qg2ttRtIMjI+HjZImRieWmYw+I6sQE=";
  };

  meta = {
    description = "A game where you need to find a color by guessing its hex code";
    homepage = "https://gitlab.com/Krafting/hexcolordle-gtk";
    changelog = "https://gitlab.com/Krafting/hexcolordle-gtk/-/blob/${src.rev}/NEWS";
    license = lib.licenses.gpl3Only;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "hexcolordle-gtk";
    platforms = lib.platforms.all;
  };
}
